Name:           valknut
Version:        0.4.9
Release:        13%{?dist}
Summary:        Valknut is a QT Direct Connect client

Group:          Applications/Internet
License:        GPLv2+ and LGPLv3+
URL:            http://sourceforge.net/projects/wxdcgui/
Source0:        http://dl.sourceforge.net/wxdcgui/%{name}-%{version}.tar.bz2
Source1:        http://dl.sourceforge.net/wxdcgui/%{name}-%{version}-oxygen-icons.tar.gz
Source2:        http://dl.sourceforge.net/wxdcgui/%{name}-%{version}-gnome-icons.tar.gz
Source3:        valknut.desktop
# Patch to build with gcc 4.7, filed into upstream bugtracker as:
# https://sourceforge.net/tracker/?func=detail&aid=3477008&group_id=181579&atid=897767
Patch0:         valknut-gcc4.7.patch

BuildRequires:  dclib-devel >= 0.3.23
BuildRequires:  qt-devel, desktop-file-utils, bzip2-devel
BuildRequires:  openssl-devel

%description
Valknut is a program that uses the Direct Connect protocol. It is compatible
with other DC clients, such as the original DC from Neomodus, DC++ and
derivatives. Valknut also interoperates with all common DC hub software.


%prep
%setup -q
%patch0

%build
%configure --enable-mt
make -k %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
rm ${RPM_BUILD_ROOT}%{_datadir}/applications/valknut.desktop
# install oxygen icon theme
tar xzf %{SOURCE1} -C ${RPM_BUILD_ROOT}%{_datadir}/%{name}/icons/appl
# install gnome icons theme
tar xzf %{SOURCE2} -C ${RPM_BUILD_ROOT}%{_datadir}/%{name}/icons/appl

desktop-file-install                          \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE3}

%files
%doc AUTHORS README COPYING
%{_bindir}/valknut
%{_datadir}/valknut
%{_datadir}/applications/valknut.desktop
%{_datadir}/pixmaps/valknut.png
%{_datadir}/icons/hicolor/128x128/apps/valknut.png
%{_datadir}/icons/hicolor/16x16/apps/valknut.png
%{_datadir}/icons/hicolor/22x22/apps/valknut.png
%{_datadir}/icons/hicolor/24x24/apps/valknut.png
%{_datadir}/icons/hicolor/32x32/apps/valknut.png
%{_datadir}/icons/hicolor/48x48/apps/valknut.png
%{_datadir}/icons/hicolor/64x64/apps/valknut.png
%{_mandir}/man1/valknut.1.gz

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.4.9-12
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Feb 09 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 0.4.9-8
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077
- spec cleanup

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 20 2012 Miloš Jakubíček <xjakub@fi.muni.cz> - 0.4.9-6
- Fix building with gcc 4.7 (added valknut-gcc4.7.patch)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild


* Mon Feb 16 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.4.9-1
- Update to 0.4.9
- Removed gcc4.4 patch (merged upstream)
- Fixed typo in description
- Fixed license tag
- Added oxygen/gnome icons themes as sources

* Wed Feb  4 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.4.8-2
- Added valknut-gcc44.patch to fix the build with gcc 4.4

* Wed Jan 28 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.4.8-1
- Update to 0.4.8
- Switch to QT4
- Removed Source2:valknut.png (part of the source package now)
- Fixed desktop file
- Man pages
- Many bugfixes, code cleanup etc.
- Upload slot changes
- Major feature changes (together with dclib) mentioned in NEWS from 0.4.0 to 0.4.7:
  0.4.6: Segment size adjustable, Download folders from search, Warnings about settings,
  0.4.5: More search results returned, Switching active/passive mode, StrongDC compatible encryption,
  Partial list uploads, Search window improvements, User list icon changes
  0.4.0: Nick tab completion improvements, Chat command improvements, Filelist storage changes, 
  Public hubs display improved, /rebuild command fixed and improved, Folder search results

* Sun Jan 18 2009 Tomas Mraz <tmraz@redhat.com> 0.3.11-5
- rebuild with new openssl

* Fri Apr 04 2008 Luke Macken <lmacken@redhat.com> 0.3.11-4
- Add qt3-devel to BuildRequires to fix build issue (#440837)

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> 0.3.11-3
- Rebuild for gcc 4.3

* Wed Dec  5 2007 Luke Macken <lmacken@redhat.com> 0.3.11-2
- Rebuild

* Sun Oct 14 2007 Luke Macken <lmacken@redhat.com> 0.3.11-1
- 0.3.11

* Tue Aug 27 2007 Luke Macken <lmacken@redhat.com> 0.3.10-1
- 0.3.10
- Update License to GPLv2

* Sat Mar  3 2007 Luke Macken <lmacken@redhat.com> 0.3.8.1-1
- 0.3.8.1

* Mon Jan  3 2007 Luke Macken <lmacken@redhat.com> 0.3.8-1
- 0.3.8 from new upstream
- Remove valknut-0.3.7-extra-qualification.patch

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 0.3.7-9
- Rebuild for FC6

* Sun Apr 30 2006 Luke Macken <lmacken@redhat.com> 0.3.7-8
- Execute with --disable-tray in desktop file, since it is horribly broken.

* Tue Feb 28 2006 Luke Macken <lmacken@redhat.com> 0.3.7-7
- Add patch to remove extra qualification build error

* Wed Feb 15 2006 Luke Macken <lmacken@redhat.com> 0.3.7-6
- Rebuild for FE5

* Wed Nov 09 2005 Luke Macken <lmacken@redhat.com> 0.3.7-5
- Rebuild for new openssl

* Tue Oct 03 2005 Luke Macken <lmacken@redhat.com> 0.3.7-4
- Add openssl-devel to BuildRequires

* Mon Oct 03 2005 Luke Macken <lmacken@redhat.com> 0.3.7-3
- Add bzip2-devel to BuildRequires

* Mon Oct 03 2005 Luke Macken <lmacken@redhat.com> 0.3.7-2
- Requires desktop-file-utils
- Use environment variables instead of hardcoding QTDIR
- Remove duplicate category from desktop file
- Use -p when calling 'install'

* Thu Sep 29 2005 Luke Macken <lmacken@redhat.com> 0.3.7-1
- Packaged for Fedora Extras
